summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/gramps')
-rw-r--r--app-misc/gramps/ChangeLog655
-rw-r--r--app-misc/gramps/Manifest11
-rw-r--r--app-misc/gramps/files/gramps-3.4.0-use_bsddb3.patch11
-rw-r--r--app-misc/gramps/gramps-3.4.0.ebuild91
-rw-r--r--app-misc/gramps/gramps-3.4.1.ebuild90
-rw-r--r--app-misc/gramps/gramps-3.4.2.ebuild90
-rw-r--r--app-misc/gramps/gramps-4.0.0_alpha4.ebuild94
-rw-r--r--app-misc/gramps/metadata.xml96
8 files changed, 1138 insertions, 0 deletions
diff --git a/app-misc/gramps/ChangeLog b/app-misc/gramps/ChangeLog
new file mode 100644
index 0000000..ed86546
--- /dev/null
+++ b/app-misc/gramps/ChangeLog
@@ -0,0 +1,655 @@
+# ChangeLog for app-misc/gramps
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gramps/ChangeLog,v 1.159 2012/11/18 17:40:33 hwoarang Exp $
+
+ 18 Nov 2012; Markos Chandras <hwoarang@gentoo.org> metadata.xml:
+ Remove beandog wrt #131511
+
+*gramps-3.4.2 (04 Nov 2012)
+
+ 04 Nov 2012; Christian Faulhammer <fauli@gentoo.org> +gramps-3.4.2.ebuild:
+ version bump
+
+ 18 Oct 2012; Christian Faulhammer <fauli@gentoo.org>
+ -files/gramps-3.2.4-use_bsddb3.patch, -gramps-3.2.5.ebuild,
+ -gramps-3.2.6.ebuild, -files/gramps-3.3.0-use_bsddb3.patch,
+ -gramps-3.3.1.ebuild:
+ clean up
+
+ 17 Oct 2012; Pawel Hajdan jr <phajdan.jr@gentoo.org> gramps-3.4.0.ebuild:
+ x86 stable wrt bug #435486
+
+*gramps-3.4.1 (03 Oct 2012)
+
+ 03 Oct 2012; Christian Faulhammer <fauli@gentoo.org> +gramps-3.4.1.ebuild:
+ version bump
+
+ 30 Sep 2012; Anthony G. Basile <blueness@gentoo.org> gramps-3.4.0.ebuild:
+ stable ppc, bug #435486
+
+ 23 Sep 2012; Agostino Sarubbo <ago@gentoo.org> gramps-3.4.0.ebuild:
+ Stable for amd64, wrt bug #435486
+
+ 29 Jul 2012; Raúl Porcel <armin76@gentoo.org> gramps-3.2.5.ebuild,
+ gramps-3.2.6.ebuild, gramps-3.3.1.ebuild, gramps-3.4.0.ebuild:
+ Drop sparc keywords
+
+*gramps-3.4.0 (30 Jun 2012)
+
+ 30 Jun 2012; Christian Faulhammer <fauli@gentoo.org> +gramps-3.4.0.ebuild,
+ +files/gramps-3.4.0-use_bsddb3.patch:
+ version bump for bug 423315, with help from Yaron Tausky
+
+ 03 May 2012; Jeff Horelick <jdhore@gentoo.org> gramps-3.2.5.ebuild,
+ gramps-3.2.6.ebuild, gramps-3.3.1.ebuild:
+ dev-util/pkgconfig -> virtual/pkgconfig
+
+*gramps-3.3.1 (23 Oct 2011)
+
+ 23 Oct 2011; Christian Faulhammer <fauli@gentoo.org> -gramps-3.3.0.ebuild,
+ +gramps-3.3.1.ebuild:
+ version bump
+
+ 23 Oct 2011; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.5.ebuild,
+ gramps-3.2.6.ebuild, gramps-3.3.0.ebuild:
+ use /usr/bin/python2 as default engine, so a switch to Python as main engine
+ will not show any problems, see bug 383981 by christianasseburg AT yahoo DOT
+ co DOT uk
+
+ 03 Jul 2011; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.5.ebuild,
+ gramps-3.2.6.ebuild, gramps-3.3.0.ebuild, metadata.xml:
+ Drop support for mozembed for package removal, see bug 372253
+
+*gramps-3.3.0 (13 Jun 2011)
+
+ 13 Jun 2011; Christian Faulhammer <fauli@gentoo.org> +gramps-3.3.0.ebuild,
+ +files/gramps-3.3.0-use_bsddb3.patch:
+ version bump, with valuable input from jmbsvicetto in bug 371324
+
+*gramps-3.2.6 (06 May 2011)
+
+ 06 May 2011; Christian Faulhammer <fauli@gentoo.org> +gramps-3.2.6.ebuild:
+ version bump
+
+ 16 Apr 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
+ gramps-3.2.5.ebuild:
+ Fix deprecation warnings.
+
+ 27 Feb 2011; Christian Faulhammer <fauli@gentoo.org>
+ -files/gramps-3.1.2-use_bsddb3.patch,
+ -files/gramps-3.1.3-fix_mo_install.patch,
+ -files/gramps-3.2.3-use_bsddb3.patch:
+ clean up patches
+
+ 27 Feb 2011; Christian Faulhammer <fauli@gentoo.org>
+ -gramps-3.1.3-r1.ebuild, -gramps-3.2.3-r2.ebuild, -gramps-3.2.4.ebuild:
+ clean up
+
+ 27 Feb 2011; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.5.ebuild:
+ stable x86, bug 328105
+
+ 27 Feb 2011; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.5.ebuild:
+ Disable USE=debug creeping in from gnome2.eclass, fixes bug 356569 by
+ Agostino Sarubbo <ago AT autistici DOT org>
+
+ 27 Feb 2011; Markos Chandras <hwoarang@gentoo.org> gramps-3.2.5.ebuild:
+ Stable on amd64 wrt bug #328105
+
+ 26 Feb 2011; Michael Weber <xmw@gentoo.org> gramps-3.2.5.ebuild:
+ ppc/sparc stable (bug 328105)
+
+*gramps-3.2.5 (21 Nov 2010)
+
+ 21 Nov 2010; Christian Faulhammer <fauli@gentoo.org> +gramps-3.2.5.ebuild:
+ version bump
+
+ 12 Oct 2010; Christian Faulhammer <fauli@gentoo.org> Manifest:
+ Update Manifest because of changed upstream tarball
+
+ 11 Oct 2010; Christian Faulhammer <fauli@gentoo.org> -gramps-3.2.0.ebuild,
+ -gramps-3.2.2.ebuild, -gramps-3.2.3.ebuild:
+ clean up
+
+*gramps-3.2.4 (11 Oct 2010)
+
+ 11 Oct 2010; Christian Faulhammer <fauli@gentoo.org> +gramps-3.2.4.ebuild,
+ +files/gramps-3.2.4-use_bsddb3.patch:
+ version bump
+
+ 18 Sep 2010; Raúl Porcel <armin76@gentoo.org> gramps-3.2.3-r2.ebuild:
+ sparc stable wrt #328105
+
+*gramps-3.2.3-r2 (14 Jul 2010)
+
+ 14 Jul 2010; Christian Faulhammer <fauli@gentoo.org>
+ -gramps-3.2.3-r1.ebuild, +gramps-3.2.3-r2.ebuild,
+ files/gramps-3.2.3-use_bsddb3.patch:
+ fix patch finally, thanks arfrever for pointing out
+
+*gramps-3.2.3-r1 (14 Jul 2010)
+
+ 14 Jul 2010; Christian Faulhammer <fauli@gentoo.org>
+ +gramps-3.2.3-r1.ebuild, +files/gramps-3.2.3-use_bsddb3.patch:
+ Use dev-python/bsddb3 instead of bsddb from Python, see bug 328203 by
+ Nikoli <nikoli AT lavabit DOT com>
+
+ 14 Jul 2010; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.3.ebuild:
+ add dev-util/intltool as dependency as reported by Nikoli <nikoli AT
+ lavabit DOT com> in bug 328203
+
+ 13 Jul 2010; Markos Chandras <hwoarang@gentoo.org> gramps-3.2.3.ebuild:
+ Stable on amd64 wrt bug #328105
+
+ 13 Jul 2010; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.3.ebuild:
+ stable x86, bug 328105
+
+*gramps-3.2.3 (12 Jun 2010)
+
+ 12 Jun 2010; Christian Faulhammer <fauli@gentoo.org> +gramps-3.2.3.ebuild:
+ version bump for bug 322799 by jmbsvicetto
+
+ 31 May 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
+ gramps-3.1.3-r1.ebuild:
+ Backport fixes for deprecation warnings from gramps-3.2.0.
+
+*gramps-3.2.2 (26 Apr 2010)
+
+ 26 Apr 2010; Christian Faulhammer <fauli@gentoo.org> +gramps-3.2.2.ebuild:
+ version bump
+
+ 08 Apr 2010; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.0.ebuild:
+ properly fix bug 311523 through python_set_active_version
+
+ 07 Apr 2010; Christian Faulhammer <fauli@gentoo.org> gramps-3.2.0.ebuild:
+ properly fix bug 311523 by setting PYTHON_DEPEND variable
+
+*gramps-3.2.0 (18 Mar 2010)
+
+ 18 Mar 2010; Christian Faulhammer <fauli@gentoo.org> +gramps-3.2.0.ebuild:
+ version bump for bug 310113, also fixes bug 310043
+
+ 01 Mar 2010; Christian Faulhammer <fauli@gentoo.org> -gramps-3.1.1.ebuild,
+ -gramps-3.1.2-r1.ebuild, -gramps-3.1.3.ebuild:
+ clean up
+
+ 28 Feb 2010; nixnut <nixnut@gentoo.org> gramps-3.1.3-r1.ebuild:
+ ppc stable #299568
+
+ 21 Feb 2010; Raúl Porcel <armin76@gentoo.org> gramps-3.1.3-r1.ebuild:
+ sparc stable wrt #299568
+
+ 04 Feb 2010; Markos Chandras <hwoarang@gentoo.org> gramps-3.1.3-r1.ebuild:
+ Stable on amd64 wrt bug #299568
+
+ 23 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
+ gramps-3.1.3-r1.ebuild:
+ stable x86, bug 299568
+
+*gramps-3.1.3-r1 (13 Jan 2010)
+
+ 13 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
+ +gramps-3.1.3-r1.ebuild, +files/gramps-3.1.3-fix_mo_install.patch:
+ install mo files, as reported by Sven Wehner <sven AT atelophobia DOT de>
+ on bug 300293
+
+ 25 Dec 2009; Christian Faulhammer <fauli@gentoo.org>
+ -gramps-3.1.1-r1.ebuild, -gramps-3.1.2.ebuild:
+ clean up
+
+*gramps-3.1.3 (24 Dec 2009)
+
+ 24 Dec 2009; Christian Faulhammer <fauli@gentoo.org> +gramps-3.1.3.ebuild:
+ version bump, mostly translation updates and bug fixes
+
+*gramps-3.1.2-r1 (29 Oct 2009)
+
+ 29 Oct 2009; Christian Faulhammer <fauli@gentoo.org>
+ +gramps-3.1.2-r1.ebuild, +files/gramps-3.1.2-use_bsddb3.patch:
+ use dev-python/bsddb3 instead of internal berkdb of Python, because the
+ latter is deprecated, see bug 286496, patch by Arfrever; ported ebuild
+ really to EAPI 2
+
+ 07 Oct 2009; Mounir Lamouri <volkmar@gentoo.org> gramps-3.1.1-r1.ebuild,
+ gramps-3.1.2.ebuild:
+ Re-Keywording for ppc, bug 272367
+
+*gramps-3.1.2 (09 Jun 2009)
+
+ 09 Jun 2009; Christian Faulhammer <fauli@gentoo.org> +gramps-3.1.2.ebuild:
+ version bump: translation updates and bug fixes
+
+ 03 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
+ -files/gramps-3.0.3_fix-installation-race-condition.patch,
+ -gramps-3.0.3.ebuild, -gramps-3.0.4.ebuild:
+ clean up
+
+ 03 Jun 2009; Ferris McCormick <fmccor@gentoo.org> gramps-3.1.1.ebuild:
+ Sparc stable, Bug #266452.
+
+ 03 Jun 2009; Christian Faulhammer <fauli@gentoo.org> metadata.xml:
+ add more long descriptions in several languages
+
+*gramps-3.1.1-r1 (03 Jun 2009)
+
+ 03 Jun 2009; Christian Faulhammer <fauli@gentoo.org> metadata.xml,
+ +gramps-3.1.1-r1.ebuild:
+ Remove all monolithic Gnome python bindings and add the missing, backed by
+ webkit and mozembed USE flags
+
+ 31 May 2009; nixnut <nixnut@gentoo.org> gramps-3.1.1.ebuild:
+ ppc stable #266452
+
+ 20 Apr 2009; Markus Meier <maekke@gentoo.org> gramps-3.1.1:
+ x86 stable, bug #266452
+
+ 18 Apr 2009; Thomas Anderson <gentoofan23@gentoo.org> gramps-3.1.1.ebuild:
+ stable amd64, bug 266452
+
+ 29 Mar 2009; Christian Faulhammer <fauli@gentoo.org> gramps-3.1.1.ebuild:
+ Fix bug 262644: Dustin Polke <gentoobugzilla DOT 20 DOT dsurawicz AT
+ spamgourmet DOT com> reported a problem with .pyo and .pyc being installed
+ under /usr/share, which is a QA violation. This should have been fixed
+ with bug 215944, but the fix there was just a workaround to quiten Portage
+ QA warnings without solving the problem. Dustin provided a patch for all
+ this.
+
+ 19 Mar 2009; Joseph Jezak <josejx@gentoo.org> gramps-3.1.1.ebuild:
+ Marked ~ppc for bug #261672.
+
+ 13 Mar 2009; Christian Faulhammer <fauli@gentoo.org> -gramps-3.1.0.ebuild:
+ clean up
+
+ 13 Mar 2009; Christian Faulhammer <fauli@gentoo.org> gramps-3.1.1.ebuild:
+ Only USE=berkdb on dev-lang/python is required, sqlite is no alternative
+ option anymore
+
+*gramps-3.1.1 (12 Mar 2009)
+
+ 12 Mar 2009; Christian Faulhammer <fauli@gentoo.org> +gramps-3.1.1.ebuild:
+ version bump, reported by David Relson via email
+
+ 09 Mar 2009; Ferris McCormick <fmccor@gentoo.org> gramps-3.1.0.ebuild:
+ Put back ~sparc keywrod, Bug #261672.
+
+ 08 Mar 2009; Christian Faulhammer <fauli@gentoo.org> gramps-3.1.0.ebuild:
+ fix dependencies on split Python bindings and librsvg
+
+*gramps-3.1.0 (08 Mar 2009)
+
+ 08 Mar 2009; Christian Faulhammer <fauli@gentoo.org> +gramps-3.1.0.ebuild:
+ version bump, bug 261636 by David Relson <relson AT osagesoftware DOT
+ com>. Many new dependencies, some clean up and two new USE flags: gnome
+ and spell
+
+ 30 Jan 2009; Steve Dibb <beandog@gentoo.org> gramps-3.0.4.ebuild:
+ amd64 stable, bug 256161
+
+ 25 Jan 2009; Raúl Porcel <armin76@gentoo.org> gramps-3.0.4.ebuild:
+ x86 stable wrt #256161
+
+ 24 Jan 2009; Ferris McCormick <fmccor@gentoo.org> gramps-3.0.4.ebuild:
+ Sparc stable, Bug #256161.
+
+ 09 Jan 2009; Christian Faulhammer <fauli@gentoo.org> gramps-3.0.3.ebuild,
+ gramps-3.0.4.ebuild:
+ Dependency on gnome-doc-utils not needed anymore, reported through email
+ by Christian Schmitt <chris AT ilovelinux DOT de>
+
+ 06 Jan 2009; Christian Faulhammer <fauli@gentoo.org> gramps-3.0.4.ebuild:
+ make use of EAPI2 features to check for USE=sqlite or USE=berkdb on
+ dev-lang/python, thus makes the built_with_use check obsolete
+
+ 04 Jan 2009; Christian Faulhammer <fauli@gentoo.org>
+ -files/gramps-3.0.1-no_scrollkeeper.patch, -gramps-3.0.1-r1.ebuild:
+ clean up
+
+ 03 Jan 2009; nixnut <nixnut@gentoo.org> gramps-3.0.3.ebuild:
+ ppc stable #249165
+
+ 22 Dec 2008; Christian Faulhammer <fauli@gentoo.org> gramps-3.0.4.ebuild:
+ remove USE=gnome as it will work in the upcoming 3.1 series but not in
+ this here
+
+*gramps-3.0.4 (22 Dec 2008)
+
+ 22 Dec 2008; Christian Faulhammer <fauli@gentoo.org> +gramps-3.0.4.ebuild:
+ version bump: Bugfix and translation update release
+
+ 22 Dec 2008; Christian Faulhammer <fauli@gentoo.org>
+ +files/gramps-3.0.3_fix-installation-race-condition.patch,
+ gramps-3.0.3.ebuild:
+ fix a race condition for parallel install. Patch provided by flameeyes in
+ bug 249165
+
+ 13 Dec 2008; Friedrich Oslage <bluebird@gentoo.org> gramps-3.0.3.ebuild:
+ Stable on sparc, bug #249165
+
+ 06 Dec 2008; Christian Faulhammer <fauli@gentoo.org> gramps-3.0.3.ebuild:
+ fix typos found by flameeyes in bug 250053
+
+ 30 Nov 2008; Markus Meier <maekke@gentoo.org> gramps-3.0.3.ebuild:
+ amd64/x86 stable, bug #249165
+
+ 28 Nov 2008; Christian Faulhammer <fauli@gentoo.org> gramps-3.0.3.ebuild:
+ change split dependencies to better fit the needs of Gramps, see bug
+ 248927 by Matteo Modesti <mattemod AT gmail DOT com>
+
+ 28 Nov 2008; Christian Faulhammer <opfer@gentoo.org> metadata.xml:
+ change my email address
+
+ 25 Nov 2008; Christian Faulhammer <opfer@gentoo.org> gramps-3.0.3.ebuild:
+ add dependencies for split gnome-python bindings
+
+*gramps-3.0.3 (27 Oct 2008)
+
+ 27 Oct 2008; Christian Faulhammer <opfer@gentoo.org> -gramps-3.0.2.ebuild,
+ +gramps-3.0.3.ebuild:
+ version bump and clean up: This is a bug fix release with translation
+ updates and a fix for a hang with graphviz
+
+ 27 Oct 2008; Christian Faulhammer <opfer@gentoo.org> gramps-3.0.2.ebuild:
+ add python_need_rebuild so python-updater will catch this package properly
+
+*gramps-3.0.2 (13 Oct 2008)
+
+ 13 Oct 2008; Christian Faulhammer <opfer@gentoo.org> +gramps-3.0.2.ebuild:
+ version bump, bug 239457; fixes lots of small things
+
+ 07 Sep 2008; Christian Faulhammer <opfer@gentoo.org>
+ gramps-3.0.1-r1.ebuild:
+ make message on USE flag check correct as pointed out in bug 227397
+
+ 17 Aug 2008; Christian Faulhammer <opfer@gentoo.org>
+ gramps-3.0.1-r1.ebuild:
+ add check for USE=sqlite on dev-lang/python
+
+ 31 Jul 2008; Ulrich Mueller <ulm@gentoo.org> metadata.xml:
+ Add USE flag description to metadata wrt GLEP 56.
+
+ 24 Jul 2008; Christian Faulhammer <opfer@gentoo.org>
+ gramps-3.0.1-r1.ebuild:
+ add eautoreconf to make repoman happy
+
+ 24 Jul 2008; Christian Faulhammer <opfer@gentoo.org>
+ -files/gramps-2.2.2-desktop-entry-icon.patch, -gramps-2.2.10.ebuild:
+ clean up
+
+ 24 Jul 2008; Ferris McCormick <fmccor@gentoo.org> gramps-3.0.1-r1.ebuild:
+ Sparc stable, Bug #230973.
+
+ 24 Jul 2008; Santiago M. Mola <coldwind@gentoo.org>
+ gramps-3.0.1-r1.ebuild:
+ amd64 stable wrt bug #230973
+
+ 17 Jul 2008; Christian Faulhammer <opfer@gentoo.org>
+ gramps-3.0.1-r1.ebuild:
+ stable x86, bug 230973
+
+ 16 Jul 2008; nixnut <nixnut@gentoo.org> gramps-3.0.1-r1.ebuild:
+ Stable on ppc wrt bug 230973
+
+ 29 Jun 2008; Christian Faulhammer <opfer@gentoo.org>
+ gramps-3.0.1-r1.ebuild:
+ readd back app-text/gnome-doc-utils as the no-scrollkeeper patch is not
+ complete...fixes bug 229617
+
+ 01 Jun 2008; Christian Faulhammer <opfer@gentoo.org>
+ +files/gramps-3.0.1-no_scrollkeeper.patch, gramps-3.0.1-r1.ebuild:
+ remove check for scrollkeeper from configure, patch provided by Zsolt
+ Foldvari <zsolt DOT foldvari AT gmail DOT com>
+
+*gramps-3.0.1-r1 (21 May 2008)
+
+ 21 May 2008; Christian Faulhammer <opfer@gentoo.org>
+ -gramps-3.0.0-r1.ebuild, -gramps-3.0.1.ebuild, +gramps-3.0.1-r1.ebuild:
+ revamp dependencies, as reported by Zsolt Foldvari <zsolt DOT foldvari AT
+ gmail DOT com>, extend a comment and introduce reports USE flag to pull in
+ graphviz; clean up
+
+ 20 May 2008; Christian Faulhammer <opfer@gentoo.org>
+ gramps-3.0.0-r1.ebuild, gramps-3.0.1.ebuild:
+ remove dev-python/reportlab from DEPEND, reported by Zsolt Foldvari <zsolt
+ DOT foldvari AT gmail.com> by email
+
+ 20 May 2008; Christian Faulhammer <opfer@gentoo.org>
+ +files/gramps-2.2.2-desktop-entry-icon.patch:
+ revert patch, as it is still needed
+
+ 18 May 2008; Christian Faulhammer <opfer@gentoo.org>
+ -files/gramps-2.2.2-desktop-entry-icon.patch, -gramps-2.0.9.ebuild,
+ -gramps-2.2.9.ebuild:
+ clean up
+
+*gramps-3.0.1 (18 May 2008)
+
+ 18 May 2008; Christian Faulhammer <opfer@gentoo.org> +gramps-3.0.1.ebuild:
+ version bump
+
+ 14 May 2008; Christian Faulhammer <opfer@gentoo.org>
+ gramps-3.0.0-r1.ebuild:
+ comment why the fix is there
+
+*gramps-3.0.0-r1 (14 May 2008)
+
+ 14 May 2008; Christian Faulhammer <opfer@gentoo.org> -gramps-3.0.0.ebuild,
+ +gramps-3.0.0-r1.ebuild:
+ fix bug 215944, thanks to Ali Polatel (hawking) for assistance and Sandro
+ Bonazzola <sandro DOT bonazzola AT gmail DOT com> for reporting
+
+ 27 Apr 2008; Markus Meier <maekke@gentoo.org> gramps-2.2.10.ebuild:
+ amd64 stable, bug #211073
+
+*gramps-3.0.0 (30 Mar 2008)
+
+ 30 Mar 2008; Christian Faulhammer <opfer@gentoo.org> +gramps-3.0.0.ebuild:
+ version bump: major upgrade with new database format and great parts rewritten
+
+ 25 Feb 2008; Raúl Porcel <armin76@gentoo.org> gramps-2.2.10.ebuild:
+ sparc stable wrt #211073
+
+ 22 Feb 2008; Tobias Scherbaum <dertobi123@gentoo.org>
+ gramps-2.2.10.ebuild:
+ ppc stable, bug #211073
+
+ 22 Feb 2008; Christian Faulhammer <opfer@gentoo.org> gramps-2.2.10.ebuild:
+ stable x86, bug 211073
+
+ 23 Jan 2008; Christian Faulhammer <opfer@gentoo.org> metadata.xml,
+ -gramps-2.2.6.ebuild:
+ add myself to metadata.xml and clean up
+
+*gramps-2.2.10 (23 Jan 2008)
+
+ 23 Jan 2008; Christian Faulhammer <opfer@gentoo.org>
+ +gramps-2.2.10.ebuild:
+ version bump
+
+ 14 Jan 2008; Christian Faulhammer <opfer@gentoo.org> gramps-2.2.9.ebuild:
+ stable x86
+
+ 17 Dec 2007; Christian Faulhammer <opfer@gentoo.org> gramps-2.2.9.ebuild:
+ manual correction of desktop file location not needed anymore, see bug 202320
+
+*gramps-2.2.9 (13 Dec 2007)
+
+ 13 Dec 2007; Christian Faulhammer <opfer@gentoo.org> +gramps-2.2.9.ebuild:
+ version bump, fixes bug 201070
+
+ 01 Jun 2007; Christian Faulhammer <opfer@gentoo.org> ChangeLog:
+ modified ChangeLog to meet common format
+
+ 06 Apr 2007; Tobias Scherbaum <dertobi123@gentoo.org> gramps-2.2.6.ebuild:
+ ppc stable
+
+ 08 Mar 2007; Gustavo Zacarias <gustavoz@gentoo.org> gramps-2.2.6.ebuild:
+ Stable on sparc wrt #169461
+
+ 07 Mar 2007; Christian Faulhammer <opfer@gentoo.org> gramps-2.2.6.ebuild:
+ stable x86; bug 169461
+
+*gramps-2.2.6 (01 Feb 2007)
+
+ 01 Feb 2007; Steve Dibb <beandog@gentoo.org> metadata.xml,
+ +gramps-2.2.6.ebuild:
+ Version bump, assume maintenance, bug 156918
+
+ 31 Jan 2007; Daniel Gryniewicz <dang@gentoo.org> metadata.xml:
+ Re-assign to maintainer-needed. Gnome doesn't want it
+
+ 09 Jan 2007; Tiziano Müller <dev-zero@gentoo.org> gramps-2.0.9.ebuild,
+ gramps-2.2.2.ebuild:
+ Removed check for dev-python/pygtk gnome USE-flag.
+
+ 05 Jan 2007; Saleem Abdulrasool <compnerd@gentoo.org>
+ +files/gramps-2.2.2-desktop-entry-icon.patch, gramps-2.2.2.ebuild:
+ add patch to install icon (bug #145280)
+
+ 05 Jan 2007; Saleem Abdulrasool <compnerd@gentoo.org>
+ -gramps-1.0.8.ebuild, -gramps-1.0.10.ebuild, -gramps-1.0.11.ebuild,
+ -gramps-2.0.11.ebuild:
+ pruning old versions
+
+*gramps-2.2.2 (05 Nov 2006)
+
+ 05 Nov 2006; Luis Medinas <metalgod@gentoo.org> +gramps-2.2.2.ebuild:
+ Version Bump. Closes bug #153407.
+
+ 29 May 2006; Simon Stelling <blubb@gentoo.org> gramps-2.0.9.ebuild:
+ stable on amd64
+
+ 19 May 2006; Tobias Scherbaum <dertobi123@gentoo.org> gramps-2.0.9.ebuild:
+ ppc stable, bug #133553
+
+ 19 May 2006; Joshua Jackson <tsunam@gentoo.org> gramps-2.0.9.ebuild:
+ Stable on x86; bug #133553
+
+ 17 May 2006; Gustavo Zacarias <gustavoz@gentoo.org> gramps-2.0.9.ebuild:
+ Stable on sparc wrt #133553
+
+*gramps-2.0.11 (17 May 2006)
+
+ 17 May 2006; Saleem Abdulrasool <compnerd@gentoo.org>
+ +gramps-2.0.11.ebuild:
+ Version bump from upstream
+
+ 06 Feb 2006; Saleem Abdulrasool <compnerd@gentoo.org> gramps-2.0.9.ebuild:
+ Fix graphviz dependency as per bug 121733
+
+ 08 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org> gramps-2.0.9.ebuild:
+ Fixing for parallel build issues
+
+ 05 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org>
+ gramps-1.0.10.ebuild, gramps-1.0.11.ebuild:
+ Adding missed rev of pygtk to check.
+
+*gramps-2.0.9 (05 Jan 2006)
+
+ 05 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org>
+ +gramps-2.0.9.ebuild:
+ Version bump to resolve bug #93629
+
+ 05 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org>
+ gramps-1.0.10.ebuild, gramps-1.0.11.ebuild:
+ Adding version checks for dropped use flags (bug #103056)
+
+ 16 Jun 2005; Marinus Schraal <foser@gentoo.org> gramps-1.0.11.ebuild :
+ Work around scrollkeeper mess (#92920)
+
+ 21 Apr 2005; Simon Stelling <blubb@gentoo.org> gramps-1.0.10.ebuild:
+ stable on amd64
+
+*gramps-1.0.11 (04 Apr 2005)
+
+ 04 Apr 2005; Joe McCann <joem@gentoo.org> +gramps-1.0.11.ebuild:
+ New version, closes 86992
+
+*gramps-1.0.10 (27 Feb 2005)
+
+ 27 Feb 2005; Joe McCann <joem@gentoo.org> +gramps-1.0.10.ebuild,
+ gramps-1.0.8.ebuild:
+ New version, bug 83433. Mark previous version x86 stable
+
+ 02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
+ Change encoding to UTF-8 for GLEP 31 compliance
+
+ 19 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> gramps-0.99.ebuild,
+ gramps-1.0.0.ebuild, gramps-1.0.1.ebuild:
+ dev-python/Imaging renamed to dev-python/imaging.
+
+ 26 Jun 2004; Alastair Tse <liquidx@gentoo.org> gramps-1.0.1.ebuild:
+ fixed empty DISPLAY problems (#46563)
+
+ 18 Apr 2004; Danny van Dyk <kugelfang@gentoo.org> gramps-1.0.1.ebuild:
+ marked ~amd64
+
+*gramps-1.0.1 (02 Apr 2004)
+
+ 02 Apr 2004; Lars Weiler <pylon@gentoo.org> gramps-1.0.1.ebuild:
+ Version bump and reported to be run on ppc (by Aymeric Nys).
+
+ 14 Mar 2004; Jason Wever <weeve@gentoo.org> gramps-1.0.0.ebuild:
+ Added ~sparc keyword.
+
+*gramps-1.0.0 (14 Feb 2004)
+
+ 14 Feb 2004; Alastair Tse <liquidx@gentoo.org> gramps-0.9.2.ebuild,
+ gramps-0.9.3.ebuild, gramps-0.9.4.ebuild, gramps-1.0.0.ebuild:
+ version bump
+
+*gramps-0.99 (11 Feb 2004)
+
+ 11 Feb 2004; Lisa Seelye <lisa@gentoo.org> gramps-0.99.ebuild:
+ version bump.. lets hope this cures bug #30112 !
+
+*gramps-0.9.4 (01 Oct 2003)
+
+ 01 Oct 2003; Lisa Seelye <lisa@gentoo.org> gramps-0.9.4.ebuild:
+ Version bump, to resolve bug 29895
+
+ 02 Sep 2003; Alastair Tse <liquidx@gentoo.org> gramps-0.9.3.ebuild:
+ added pygtk glade detection
+
+*gramps-0.9.3 (13 Aug 2003)
+
+ 13 Aug 2003; Mike Gardiner <obz@gentoo.org> gramps-0.9.3.ebuild:
+ Version bump, added scrollkeeper to depends
+
+ 09 Jul 2003; Alastair Tse <liquidx@gentoo.org> gramps-0.9.1.ebuild,
+ gramps-0.9.2.ebuild:
+ added pkgconfig dep, cleanup
+
+ 04 Jul 2003; Alastair Tse <liquidx@gentoo.org> gramps-0.9.1.ebuild,
+ gramps-0.9.2.ebuild:
+ moved dev-python/ReportLab to dev-python/reportlab
+
+*gramps-0.9.2 (02 Jun 2003)
+
+ 02 Jun 2003; Alastair Tse <liquidx@gentoo.org> gramps-0.9.2.ebuild:
+ version bump and deps touchup
+
+*gramps-0.9.1 (23 Apr 2003)
+
+ 23 Apr 2003; Alastair Tse <liquidx@gentoo.org> gramps-0.9.1.ebuild:
+ version bump. gnome2-ize menu shortcut location
+
+*gramps-0.9.0 (30 Mar 2003)
+
+ 30 Mar 2003; foser <foser@gentoo.org> gramps-0.9.0.ebuild :
+ New version, now uses gtk2
+ Adapted to gnome2 eclass
+
+*gramps-0.8.0 (6 Sep 2002)
+ 6 Sep 2002; Jon Nelson <jnelson@gentoo.org> gramps-0.8.0.ebuild :
+ new upstream package
+
+*gramps-0.7.0 (1 Feb 2002)
+ 27 Aug 2002; Spider <spider@gentoo.org> gramps-0.7.0.ebuild :
+ update to work nice with gnome2 (gnome-panel instead of -core)
+
+ 1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
+
+ Added initial ChangeLog which should be updated whenever the package is
+ updated in any way. This changelog is targetted to users. This means that the
+ comments should well explained and written in clean English. The details about
+ writing correct changelogs are explained in the skel.ChangeLog file which you
+ can find in the root directory of the portage repository.
diff --git a/app-misc/gramps/Manifest b/app-misc/gramps/Manifest
new file mode 100644
index 0000000..e7e679f
--- /dev/null
+++ b/app-misc/gramps/Manifest
@@ -0,0 +1,11 @@
+AUX gramps-3.4.0-use_bsddb3.patch 447 SHA256 a4a7c57c202f65cceed8065e4d5649c02d316203ca31137cfccb98a989b6b3cc SHA512 35f9b2be431106c9e7fe60e3f2c6f56b6b01159c64f733c1b1b85449101e2dfc8bf3759a971936876124df7d7527d312f09f4575a293aa6669310abe77d15044 WHIRLPOOL 24f0b41023b73b89897d391da73f00221b25d2674fbfa5be0e72d5869a9989ff02db6aa3819c486f25528859f13593b1dad25543c38e74fe555dac6b7ad768b1
+DIST gramps-3.4.0.tar.gz 9470815 SHA256 4d029c4f3d3ffd369cbf3859f86f3602ce97a038ed6238b9811d0bf3cd15acf0 SHA512 469fbbcb1e864f0c5a771f83e4592ff27f86b017fd9fe9d6d56fff04aa888bfd08d1a6d2bfcccb244328b3a78c7b22e031452d9eb409b674cf0369e0af8aed0f WHIRLPOOL f068bb558cd5a6c5b4bf03dfb0d7a389aa8ea3175d2240d3a9d612a684a1cfbdf781b98d8ba859bfeaf5843ea744b721673b8115495777401bbc165922bebf08
+DIST gramps-3.4.1.tar.gz 10024633 SHA256 dc0cabfbe5586d5f38af6364a7adfdb52a543614583f60a5ecbdb317d0bac8c7 SHA512 550b104458eacdeb765bf856808474d73b18903cdc56b91c7a5cb0ee28a3fef6ae48979daa6ec36a693b396697a415838dda7aa5314800c4118865205883fca5 WHIRLPOOL 3f7d40962a8b339d2af59767e692ae2d7c831e489675dac3d46c2ee53a3c0a4a340a346a9e317718bf85eb43fff0a3d6461656c00218ea978176d6813ba0f0bb
+DIST gramps-3.4.2.tar.gz 9799202 SHA256 8cfc19b53ddf2bb864356c6749ac7703560bd818a3d47bb514f05d7b07a5b222 SHA512 73406fd5f5a29af5c8b03972a40ca73cc2198e93bacbf05bec521828c6fd50229b099380eafb7515e4e49c19f8395d992cf03a7ce256d85884294466eb3daa6b WHIRLPOOL dc0e996f71f0bc1e44a367509ea1862ade333c2870354a1e0a4017f0ca460a8235bf7c38f4818782d6c3f5c370db97258f1787db828a7b8b79cafdbcaca40cb2
+DIST gramps-4.0.0-alpha4.tar.gz 13847875 SHA256 e0aefe874a3522f34a2731c5b65d1ff0c658a8d904cfc51bc4c8f3ebafb9cc00 SHA512 d320463fa92d130e827715fd81097ede8667b7f77b2e9de94a65dfb02bfbef259a3e82ad381c70e40535e7ebdd8941becf9ffce5c6f52c243779f80f82cd6bbe WHIRLPOOL 14a61d4036fbfe4525a74802ea85237b240d061d3b0127d859db3a7b914e82ac811927daeb0200ff29174c344258cef5bda36edfafc22314d0938e81375371f1
+EBUILD gramps-3.4.0.ebuild 2272 SHA256 c220829a657a7a3d8af13667cbecc983e91fef564ca5706c2785e87741facdb0 SHA512 44fbacb5918065578b48dd339b8854d4f865c7e6f72ad34e59568f61102659affed46d2e9ae3cac8e61f29668c415452400b6e05f22154667b33a6bfc0f6755d WHIRLPOOL 4f5775a2d47bd42ee04b3927279c9a1211f0ac61e6e69c9ac5e9ec9aa93a7cdb717f9c79b6a50113094969b4c476f24131e3099452925098f2d142ab8cc8b444
+EBUILD gramps-3.4.1.ebuild 2222 SHA256 8c873edac5fcac4007ac32d0f04ec1dea42f8b3fe46f06953ff355aadf2289fd SHA512 785e117a2a246ae587aad0d46d5215499a7667c5578a54b9ceadb0df0a26901e5574945d89e3b320ea95297c8fe8c672d5cdd369719bc4209b8d5c790581ceb0 WHIRLPOOL b83441d718f1d9c133133c78018aa0882c9e87d520ec449194b2fc55bf7819332be4f06f7de12859790409f62de839c4cb99ac99f153cd2bdd9f02cd5d0b1c69
+EBUILD gramps-3.4.2.ebuild 2222 SHA256 c798ecd5fc55fa6405c6fca653959ebb67df84161dd46475a1a12f15918c06be SHA512 6ede3532efc1c52920a6b71896aae0435d1a6bc0e851d9129c1365794f9d25ea9bdb809d7856b14f3f5e744bad0d34d83b0290067b66d6f6f909eb062a44841c WHIRLPOOL 4055136e08d4f626f77d96bdc7ab58f58371160ea550349edd3e508a946ce4c83007001a1efb7ff24dcf7b92269bd1d5ff93ab93dbe077fe28ff28bd113d3498
+EBUILD gramps-4.0.0_alpha4.ebuild 2306 SHA256 47269d9e9c3083f339039271d2f88c1787c1499e1bf4d7aa6fa35683f1704cc8 SHA512 84e3058e441e842f7636b0b1b931776ba6fc94eaa32cf6c1a3f29de08303ce4f673c338aa45dc8ef699faecb2f5d4f8318725cff52b192423a80493e220e3c9d WHIRLPOOL ba8e41459ca5de62ecb030da7d49f5c5aac1315963de14dd66f0384d07c15748dd1f30a88180d81ce1aebf65b39009aa5cd82933a4f4c0dbbf4d6f41e7e415e4
+MISC ChangeLog 22887 SHA256 6e0801ebe5dc9c6fe057f4246ad6f0276b646bfd35cd0ffac5cdd66ffcce4dde SHA512 d8e558e4ceb57a585147b00606a04c2683763db5c2c8eb0d497400ff5e72558b63da217dbc92381099e5974142641a3a0aa0d894c3ffdceaa3aae978b7e8d44f WHIRLPOOL 90eb3cfa943ee357d0f6db3a679b49f338a94acd1efa8e0ac0bb90a5f7ff3ea4dcecb31a073524696acf65c6bfce28e73d2c0f7c18c224a6ac76cb3db2640151
+MISC metadata.xml 5192 SHA256 c402d3f7be6f89296b26d29b4f9e3c1ca93f306d8afb53da391b99a0122e8cd0 SHA512 960c4c0313ad3756b6e865db19477f5c00bfa50f31232f0dea4bfa57ca7f22b2e6e134d3ff939aaad14f5e700a0b35ab7668acf5ffe3333e4aefecfa38e23c74 WHIRLPOOL 15e2fafc62e11317016ef7d1c29fb7118e16aa7bea3bf6d70cf5f80b1fb54148f916ac989bf304f90d7d54461f25bca80a6c32cef7f0a0446359005499e7ae2d
diff --git a/app-misc/gramps/files/gramps-3.4.0-use_bsddb3.patch b/app-misc/gramps/files/gramps-3.4.0-use_bsddb3.patch
new file mode 100644
index 0000000..6815ef6
--- /dev/null
+++ b/app-misc/gramps/files/gramps-3.4.0-use_bsddb3.patch
@@ -0,0 +1,11 @@
+--- src/config.py.orig 2012-06-02 07:05:21.479670747 +0200
++++ src/config.py 2012-06-02 07:05:58.444713800 +0200
+@@ -302,7 +302,7 @@
+ register('preferences.use-last-view', True)
+ register('preferences.last-view', '')
+ register('preferences.last-views', [])
+-register('preferences.use-bsddb3', False)
++register('preferences.use-bsddb3', True)
+ register('preferences.family-relation-type', 3) # UNKNOWN
+
+ register('researcher.researcher-addr', '')
diff --git a/app-misc/gramps/gramps-3.4.0.ebuild b/app-misc/gramps/gramps-3.4.0.ebuild
new file mode 100644
index 0000000..44cb072
--- /dev/null
+++ b/app-misc/gramps/gramps-3.4.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gramps/gramps-3.4.0.ebuild,v 1.5 2012/10/17 03:38:19 phajdan.jr Exp $
+
+EAPI=3
+
+PYTHON_DEPEND="2:2.6"
+GCONF_DEBUG="no"
+
+inherit eutils gnome2 python
+
+DESCRIPTION="Genealogical Research and Analysis Management Programming System"
+HOMEPAGE="http://www.gramps-project.org/"
+SRC_URI="mirror://sourceforge/gramps/Stable/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="gnome reports spell webkit"
+
+RDEPEND="dev-python/bsddb3
+ >=dev-python/pygtk-2.16.0
+ dev-python/pygoocanvas
+ x11-misc/xdg-utils
+ gnome-base/librsvg:2
+ gnome? ( dev-python/libgnome-python
+ dev-python/gconf-python )
+ spell? ( dev-python/gtkspell-python )
+ reports? ( media-gfx/graphviz )
+ webkit? ( dev-python/pywebkitgtk )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/libiconv
+ virtual/pkgconfig"
+
+DOCS="NEWS README TODO"
+
+pkg_setup() {
+ G2CONF="${G2CONF} --disable-mime-install PYTHON="${EROOT}"/usr/bin/python2"
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ epatch "${FILESDIR}/${P}-use_bsddb3.patch"
+
+ # This is for bug 215944, so .pyo/.pyc files don't get into the
+ # file system
+ mv "${S}"/py-compile "${S}"/py-compile.orig
+ ln -s $(type -P true) "${S}"/py-compile
+
+ # Fix install path, bug 423315 for example
+ einfo "Fix installation path"
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgdatadir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgpythondir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/Makefile.in || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/docgen/Makefile.in || die
+
+ einfo "Fix wrapper script"
+ sed "s;@datadir@;$(python_get_sitedir);" \
+ -i gramps.sh.in || die
+
+ einfo "Fix icon location"
+ sed "s;gramps/;pixmap/;g" -i data/gramps.keys.in || die
+}
+
+src_install() {
+ python_need_rebuild
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ python_mod_optimize ${PN}
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ python_mod_cleanup ${PN}
+}
diff --git a/app-misc/gramps/gramps-3.4.1.ebuild b/app-misc/gramps/gramps-3.4.1.ebuild
new file mode 100644
index 0000000..4f6e920
--- /dev/null
+++ b/app-misc/gramps/gramps-3.4.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gramps/gramps-3.4.1.ebuild,v 1.1 2012/10/03 10:55:29 fauli Exp $
+
+EAPI=3
+
+PYTHON_DEPEND="2:2.6"
+GCONF_DEBUG="no"
+
+inherit eutils gnome2 python
+
+DESCRIPTION="Genealogical Research and Analysis Management Programming System"
+HOMEPAGE="http://www.gramps-project.org/"
+SRC_URI="mirror://sourceforge/gramps/Stable/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="gnome reports spell webkit"
+
+RDEPEND="dev-python/bsddb3
+ >=dev-python/pygtk-2.16.0
+ dev-python/pygoocanvas
+ x11-misc/xdg-utils
+ gnome-base/librsvg:2
+ gnome? ( dev-python/libgnome-python
+ dev-python/gconf-python )
+ spell? ( dev-python/gtkspell-python )
+ reports? ( media-gfx/graphviz )
+ webkit? ( dev-python/pywebkitgtk )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/libiconv
+ virtual/pkgconfig"
+
+DOCS="NEWS README TODO"
+
+pkg_setup() {
+ G2CONF="${G2CONF} --disable-mime-install PYTHON="${EROOT}"/usr/bin/python2"
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ epatch "${FILESDIR}/${PN}-3.4.0-use_bsddb3.patch"
+
+ # This is for bug 215944, so .pyo/.pyc files don't get into the
+ # file system
+ python_clean_py-compile_files
+
+ # Fix install path, bug 423315 for example
+ einfo "Fix installation path"
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgdatadir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgpythondir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/Makefile.in || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/docgen/Makefile.in || die
+
+ einfo "Fix wrapper script"
+ sed "s;@datadir@;$(python_get_sitedir);" \
+ -i gramps.sh.in || die
+
+ einfo "Fix icon location"
+ sed "s;gramps/;pixmap/;g" -i data/gramps.keys.in || die
+}
+
+src_install() {
+ python_need_rebuild
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ python_mod_optimize ${PN}
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ python_mod_cleanup ${PN}
+}
diff --git a/app-misc/gramps/gramps-3.4.2.ebuild b/app-misc/gramps/gramps-3.4.2.ebuild
new file mode 100644
index 0000000..fd27a53
--- /dev/null
+++ b/app-misc/gramps/gramps-3.4.2.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gramps/gramps-3.4.2.ebuild,v 1.1 2012/11/04 16:41:19 fauli Exp $
+
+EAPI=3
+
+PYTHON_DEPEND="2:2.6"
+GCONF_DEBUG="no"
+
+inherit eutils gnome2 python
+
+DESCRIPTION="Genealogical Research and Analysis Management Programming System"
+HOMEPAGE="http://www.gramps-project.org/"
+SRC_URI="mirror://sourceforge/gramps/Stable/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="gnome reports spell webkit"
+
+RDEPEND="dev-python/bsddb3
+ >=dev-python/pygtk-2.16.0
+ dev-python/pygoocanvas
+ x11-misc/xdg-utils
+ gnome-base/librsvg:2
+ gnome? ( dev-python/libgnome-python
+ dev-python/gconf-python )
+ spell? ( dev-python/gtkspell-python )
+ reports? ( media-gfx/graphviz )
+ webkit? ( dev-python/pywebkitgtk )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/libiconv
+ virtual/pkgconfig"
+
+DOCS="NEWS README TODO"
+
+pkg_setup() {
+ G2CONF="${G2CONF} --disable-mime-install PYTHON="${EROOT}"/usr/bin/python2"
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ epatch "${FILESDIR}/${PN}-3.4.0-use_bsddb3.patch"
+
+ # This is for bug 215944, so .pyo/.pyc files don't get into the
+ # file system
+ python_clean_py-compile_files
+
+ # Fix install path, bug 423315 for example
+ einfo "Fix installation path"
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgdatadir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgpythondir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/Makefile.in || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/docgen/Makefile.in || die
+
+ einfo "Fix wrapper script"
+ sed "s;@datadir@;$(python_get_sitedir);" \
+ -i gramps.sh.in || die
+
+ einfo "Fix icon location"
+ sed "s;gramps/;pixmap/;g" -i data/gramps.keys.in || die
+}
+
+src_install() {
+ python_need_rebuild
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ python_mod_optimize ${PN}
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ python_mod_cleanup ${PN}
+}
diff --git a/app-misc/gramps/gramps-4.0.0_alpha4.ebuild b/app-misc/gramps/gramps-4.0.0_alpha4.ebuild
new file mode 100644
index 0000000..205c817
--- /dev/null
+++ b/app-misc/gramps/gramps-4.0.0_alpha4.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gramps/gramps-3.4.2.ebuild,v 1.1 2012/11/04 16:41:19 fauli Exp $
+
+EAPI=3
+
+PYTHON_DEPEND="2:2.6"
+GCONF_DEBUG="no"
+
+inherit eutils gnome2 python
+
+inherit versionator
+MY_PV=$(replace_version_separator 3 '-')
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Genealogical Research and Analysis Management Programming System"
+HOMEPAGE="http://www.gramps-project.org/"
+SRC_URI="mirror://sourceforge/gramps/Unstable/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="gnome reports spell webkit"
+
+RDEPEND="dev-python/bsddb3
+ >=dev-python/pygtk-2.16.0
+ dev-python/pygoocanvas
+ x11-misc/xdg-utils
+ gnome-base/librsvg:2
+ gnome? ( dev-python/libgnome-python
+ dev-python/gconf-python )
+ spell? ( dev-python/gtkspell-python )
+ reports? ( media-gfx/graphviz )
+ webkit? ( dev-python/pywebkitgtk )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/libiconv
+ virtual/pkgconfig"
+
+DOCS="NEWS README TODO"
+
+pkg_setup() {
+ G2CONF="${G2CONF} --disable-mime-install PYTHON="${EROOT}"/usr/bin/python2"
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ gnome2_src_prepare
+
+ #epatch "${FILESDIR}/${PN}-3.4.0-use_bsddb3.patch"
+
+ # This is for bug 215944, so .pyo/.pyc files don't get into the
+ # file system
+ python_clean_py-compile_files
+
+ # Fix install path, bug 423315 for example
+ einfo "Fix installation path"
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgdatadir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+ find . -iname 'Makefile.in' | xargs \
+ sed "s;\(pkgpythondir = \)\(\$(datadir)\);\1$(python_get_sitedir);" -i \
+ || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/Makefile.in || die
+
+ sed "s;\$(prefix)/share/gramps;/$(python_get_sitedir)/@PACKAGE@;" \
+ -i src/docgen/Makefile.in || die
+
+ einfo "Fix wrapper script"
+ sed "s;@datadir@;$(python_get_sitedir);" \
+ -i gramps.sh.in || die
+
+ einfo "Fix icon location"
+ sed "s;gramps/;pixmap/;g" -i data/gramps.keys.in || die
+}
+
+src_install() {
+ python_need_rebuild
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ python_mod_optimize ${PN}
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ python_mod_cleanup ${PN}
+}
diff --git a/app-misc/gramps/metadata.xml b/app-misc/gramps/metadata.xml
new file mode 100644
index 0000000..2510481
--- /dev/null
+++ b/app-misc/gramps/metadata.xml
@@ -0,0 +1,96 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>fauli@gentoo.org</email>
+ <name>Christian Faulhammer</name>
+</maintainer>
+<longdescription lang="en">
+GRAMPS helps you track your family tree. It allows you to store, edit,
+and research genealogical data. GRAMPS attempts to provide all of the
+common capabilities of other genealogical programs, but, more
+importantly, to provide an additional capability of integration not
+common to these programs. This is the ability to input any bits and
+pieces of information directly into GRAMPS and rearrange/manipulate
+any/all data events in the entire data base (in any order or sequence)
+to assist the user in doing research, analysis and correlation with
+the potential of filling relationship gaps.
+</longdescription>
+<longdescription lang="cs">
+GRAMPS Vám pomůže sledovat Váš rodokmen. Dovolí Vám využít počítač pro
+ukládání, úpravy a zkoumání genealogických dat.
+
+GRAMPS se snaží nabídnout všechny vlastnosti obvyklé u jiných
+dostupných genealogických programů. Oproti nim však poskytuje další
+možnosti integrace, které u těchto programů nejsou běžné. Je to
+možnost vložit jakýkoli kus informace přímo do GRAMPS a
+přeskupit/manipulovat jednotlivými/všemi událostmi v celé
+databázi. Tím pomáhá badateli při výzkumu, analýze a korelacích s
+potenciálem zaplnění mezer ve vztazích mezi subjekty.
+</longdescription>
+<longdescription lang="de">
+GRAMPS hilft dir, deinen Familienstammbaum zurückzuverfolgen. Es
+erlaubt dir das Speichern, Bearbeiten, und Erforschen genealogischer
+Daten mit deinem Computer. GRAMPS versucht alle möglichen Funktionen,
+die andere genealogische Programme bieten einzubeziehen, aber noch
+viel wichtiger, die Möglichkeit des einfachen Imports fremder Daten zu
+bieten. Das ist die Fähigkeit jedes noch so kleine Detail direkt in
+GRAMPS einzugeben und alle damit verbundenen Daten und Events in der
+gesamten Datenbank neu zu ordnen oder zu manipulieren um die Arbeit
+für den Benutzer zu erleichtern. So können jederzeit potentielle
+Lücken in jeglichen Beziehungen gefüllt werden.
+</longdescription>
+<longdescription lang="fr">
+GRAMPS vous aide à suivre votre lignée. Il vous permet de stocker,
+éditer, ainsi que rechercher des données généalogiques avec votre
+ordinateur. GRAMPS tente de fournir toutes les capacités communes aux
+autres programmes généalogiques, mais, plus important, fournir des
+capacités supplémentaires non communes à ces programmes. C'est la
+capacité d'entrer toutes parties d'informations directement dans
+GRAMPS et réarranger/manipuler quelques/toutes données événement dans
+la base de données (dans n'importe quel ordre ou séquence) pour
+assiter l'utilisateur dans ses recherches, analyse et corrélation avec
+les relations possibles.
+</longdescription>
+<longdescription lang="nl">
+GRAMPS laat je toe je familiestamboom op te stellen. Het programma
+laat je toe om je genealogische gegevens op te slaan, te wijzigen en
+genealogisch onderzoek te doen met je computer. GRAMPS probeert om
+bovenover de gebruikelijke mogelijkheden die andere genealogische
+programma's bieden, een verdergaande integratiemogelijkheid te geven
+die die andere programma's niet hebben. Je kan zo alle stukjes en
+gedeelten van informatie rechtstreeks in GRAMPS invoeren en achteraf
+kan je dan deze gegevens bewerken/manipuleren. Dit kan je doen met het
+volledige gegevensbestand( in gelijkwelke volgorde). Zo wordt de
+gebruiker ondersteund in zijn onderzoeken biedt dit een hulp bij
+analyse en de correlatie om zo relatieleemten te kunnen opvullen.
+</longdescription>
+<longdescription lang="pl">
+GRAMPS pomaga Ci śledzić Twoje drzewo rodzinne. Pozwala Ci wprowadzać,
+edytować i analizować informacje genealogiczne za pomocą
+komputera. GRAMPS próbuje zapewnić wszystkie wspólne cechy innych
+programów genealogicznych, ale, co ważniejsze, dostarczyć Ci
+możliwości w nich nie dostępne. Ma możliwość wprowadzenia każdej
+informacji i wiadomości bezpośrednio do programu i późniejszą analizę
+i zmianę zdarzeń czy pojedynczo, czy grupowo (w dowolnej kolejności) w
+celu pomocy użytkownikowi w analizie, badaniu i korelowaniu
+potencjalnych luk w relacjach w rodzinie.
+</longdescription>
+<longdescription lang="sl">
+GRAMPS vam pomaga voditi svoj rodovnik. Z njim lahko shranjujete,
+urejate in raziskujete rodoslovne podatke na svojem
+računalniku. Pogram GRAMPS vključuje večino skupnih elementov drugih
+rodoslovnih programov, poleg tega pa omogoča še funkcije, ki jih ti
+programi običajno nimajo. Med njimi sta npr. možnost vnosa
+kakršnegakoli podatka neposredno v GRAMPS ter preurejanje in
+spreminjanje vseh zapisov dogodkov v celotni bazi podatkov (ne glede
+na vrstni red), kar vam bo v pomoč pri vaših raziskavah, analizah in
+zapolnjevanju vrzeli v rodoslovnih podatkih.
+</longdescription>
+<use>
+ <flag name='reports'>All external software that is needed for graphical
+ reports will be installed</flag>
+ <flag name='webkit'>Use Webkit-based rendering for geographical
+ data view.</flag>
+</use>
+</pkgmetadata>